Resolve Merge Conflict
curl --request POST \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id}/resolve \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"question_answers": [
{
"question": "<string>",
"answer": "<string>",
"message": "<string>"
}
]
}
'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id}/resolve"
payload = { "question_answers": [
{
"question": "<string>",
"answer": "<string>",
"message": "<string>"
}
] }
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question_answers: [{question: '<string>', answer: '<string>', message: '<string>'}]
})
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "ok"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Merge Conflicts
Resolve Merge Conflict
Resolve a memory merge conflict by answering clarifying questions.
Submit answers to the AI-generated clarifying questions to resolve memory conflicts. The system will use your answers to determine how to merge or update the conflicting memories. After resolution, the conflict status changes to IN_QUEUE for processing.
Path Parameters:
custom_user_id(str): Unique identifier for the user owning the merge conflictconflict_id(UUID): Merge conflict UUID to resolve
Body Parameters:
answers(UserResponseMergeConflictQuestionAnswers): List of question-answer pairs matching the clarifying questions
Returns:
conflict(MergeConflictInfo): Updated conflict with resolution_data, IN_QUEUE status, and resolved_at timestamp
POST
/
api
/
v1
/
users
/
{custom_user_id}
/
merge-conflicts
/
{conflict_id}
/
resolve
Resolve Merge Conflict
Path Parameters
Custom user ID owning the merge conflict
ID of the merge conflict to resolve
Body
application/json
Answers to clarifying questions
Show child attributes
Show child attributes
Response
Merge conflict resolved successfully
Response after resolving a merge conflict.
Was this page helpful?
⌘I

